<div class="container">

    <h1 class="center-text">Growing configurations</h1>

    <div class="header">
        <button mat-fab color="add-button" [routerLink]="['/growing-conditions/new']">
            <mat-icon>add</mat-icon>
        </button>
    </div>

    <table mat-table [dataSource]="conditions" class="conditions-table">

        <ng-container matColumnDef="flora">
            <th mat-header-cell *matHeaderCellDef class="center-text">Growing configuration</th>
            <td mat-cell *matCellDef="let cond">{{cond.flora}}</td>
        </ng-container>

        <ng-container matColumnDef="airTemperature">
            <th mat-header-cell *matHeaderCellDef class="center-text">Air temperature</th>
            <td mat-cell *matCellDef="let cond">{{cond.airTemperatureMin}}°C - {{cond.airTemperatureMax}}°C</td>
        </ng-container>

        <ng-container matColumnDef="airHumidity">
            <th mat-header-cell *matHeaderCellDef class="center-text">Air humidity</th>
            <td mat-cell *matCellDef="let cond">{{cond.airHumidityMin}}% - {{cond.airHumidityMax}}%</td>
        </ng-container>

        <ng-container matColumnDef="soilMoisture">
            <th mat-header-cell *matHeaderCellDef class="center-text">Soil moisture</th>
            <td mat-cell *matCellDef="let cond">{{cond.soilMoistureMin}}% - {{cond.soilMoistureMax}}%</td>
        </ng-container>

        <ng-container matColumnDef="lightIntensity">
            <th mat-header-cell *matHeaderCellDef class="center-text">Luminosity</th>
            <td mat-cell *matCellDef="let cond">{{cond.lightIntensityMin}}% - {{cond.lightIntensityMax}}%</td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef class="center-text">Actions</th>
            <td mat-cell *matCellDef="let cond">
                <div class="actions">
                    <button mat-raised-button color="edit-button" (click)="edit(cond)">Edit</button>
                    <button mat-raised-button color="delete-button">Delete</button>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
</div>